Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87786 - Random gnome-terminal crash
Summary: Random gnome-terminal crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 14:39 UTC by Joe Orton
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-10 22:03:17 UTC


Attachments (Terms of Use)

Description Joe Orton 2003-04-02 14:39:41 UTC
Description of problem:
gnome-terminal crashed

Version-Release number of selected component (if applicable):
vte-0.10.25-1
gnome-terminal-2.2.1-3

How reproducible:
Not.  Backtrace with -debuginfo for gnome-terminal and vte, FWIW:

(gdb) where
#0  0xffffe002 in ?? ()Another 
#1  0x4028bfa7 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#2  <signal handler called>
#3  0xffffe002 in ?? ()
#4  0x42028a73 in abort () from /lib/tls/libc.so.6
#5  0x409bcc08 in g_logv () from /usr/lib/libglib-2.0.so.0
#6  0x409bcc44 in g_log () from /usr/lib/libglib-2.0.so.0
#7  0x400494b9 in vte_terminal_process_incoming (data=0x834acb8) at vte.c:6996
#8  0x409b74fc in g_main_context_wakeup () from /usr/lib/libglib-2.0.so.0
#9  0x409b4b35 in g_get_current_time () from /usr/lib/libglib-2.0.so.0
#10 0x409b5b78 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#11 0x409b5e8d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0x409b658f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#13 0x4058df5f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x0805f2f5 in main (argc=4, argv=0xbfffec14) at terminal.c:1515
#15 0x42015574 in __libc_start_main () from /lib/tls/libc.so.6

(gdb) up
#7  0x400494b9 in vte_terminal_process_incoming (data=0x834acb8) at vte.c:6996
6996                            return FALSE;
(gdb) info locals
params = (GValueArray *) 0x0
terminal = (VteTerminal *) 0x834acb8
screen = (VteScreen *) 0x409fb780
cursor = {row = -1073747576, col = 1083763495}
substitutions = (struct _vte_iso2022 *) 0x0
substitution_count = 2
rect = {x = 137055840, y = 0, width = 1107912422, height = 1083918817}
bbox_topleft = {x = 0, y = 0}
bbox_bottomright = {x = 0, y = 0}
ibuf = 0xbfffe9c8 "K\214\004@\200�\237@�C\001\t�C\001\t\b����t\233@��4\b@\225
\004@��\212>yH\002"
obuf = 0x409aaeeb "\201�\225\b\005"
obufptr = 0x40991520 "4D"
ubuf = 0xbfffe9b8 "�f\tB�I\233@����"
ubufptr = 0x834acb8 "�M\031\b\003"
icount = 0
ocount = 1081584272
ucount = 1083947283
c = 4294966784
wcount = 0
start = 137669816
match = 0x80b1ef0 "\002"
encoding = 0xbfffe958 ""
---Type <return> to continue, or q <return> to quit---
unconv = 0xbfffe958
quark = 1107912422
next = (const gunichar *) 0x0
leftovers = 1083686577
modified = 0
again = 80
bottom = 1

(gdb) print *terminal
$2 = {widget = {object = {parent_instance = {g_type_instance = {
          g_class = 0x8194dd8}, ref_count = 3, qdata = 0x84040c8}, 
      flags = 2170816}, private_flags = 3584, state = 0 '\0', 
    saved_state = 0 '\0', name = 0x0, style = 0x82109f8, requisition = {
      width = 826, height = 686}, allocation = {x = 1, y = 25, width = 826, 
      height = 686}, window = 0x83a8828, parent = 0x839c428}, 
  adjustment = 0x834ad20, char_width = 8, char_height = 19, char_ascent = 13, 
  char_descent = 3, row_count = 36, column_count = 103, 
  window_title = 0x94876e0 "toaster: build", 
  icon_title = 0x90956d0 "toaster: build", pvt = 0x834ad98}
(gdb) print *screen
$3 = {row_data = 0x696a4, cursor_current = {row = 1083536656, 
    col = 1073790128}, cursor_saved = {row = 1083818886, col = 1083818902}, 
  reverse_mode = 1084048800, origin_mode = 1084046304, 
  insert_mode = 1083818950, scrolling_region = {start = 1083818966, 
    end = 1083818982}, scrolling_restricted = 1107428096, 
  scroll_delta = 1083992640, insert_delta = 1083819030, defaults = {
    c = 1083819046, columns = 0, fragment = 1, fore = 10, back = 14, 
    standout = 0, underline = 1, strikethrough = 0, reverse = 0, blink = 0, 
    half = 0, bold = 0, invisible = 0, protect = 1, alternate = 0}, 
  color_defaults = {c = 1084018624, columns = 1110, fragment = 0, fore = 28, 
    back = 12, standout = 0, underline = 1, strikethrough = 0, reverse = 0, 
    blink = 0, half = 0, bold = 0, invisible = 0, protect = 1, alternate = 0}, 
  fill_defaults = {c = 1083951216, columns = 1142, fragment = 0, fore = 28, 
    back = 12, standout = 0, underline = 1, strikethrough = 0, reverse = 0, 
    blink = 0, half = 0, bold = 0, invisible = 0, protect = 1, alternate = 0}, 
  basic_defaults = {c = 1083887872, columns = 1174, fragment = 0, fore = 28, 
    back = 12, standout = 0, underline = 1, strikethrough = 0, reverse = 0, 
    blink = 0, half = 0, bold = 0, invisible = 0, protect = 1, alternate = 0}, 
  status_line = 1083819174, status_line_contents = 0x42031a20}

Comment 1 David Eriksson 2003-07-31 14:02:18 UTC
This bug is quite similar: 

http://bugzilla.gnome.org/show_bug.cgi?id=118771

Comment 2 Ray Strode [halfline] 2004-11-10 22:03:17 UTC
Fixed upstream, closing...


Note You need to log in before you can comment on or make changes to this bug.